%{!?pyver: %global pyver %(%{__python} -c "import sys ; print sys.version[:3]")}

%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif


# source name will be changing from python-libdrizzle to python-drizzle in the near future
Name:           python-drizzle
Version:        0.08.2
Release:        7%{?dist}
Summary:        Python wrappers for libdrizzle 
Group:          Development/Languages
License:        BSD 
URL:            https://launchpad.net/drizzle-interface
Source0:        http://launchpad.net/drizzle-interface/trunk/ongoing-development/+download/python-libdrizzle-%{version}.tar.gz 
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

# LaunchPad Bug #561003
# Bug https://bugs.launchpad.net/drizzle-interface/+bug/561003
Patch0: python-drizzle-0.08.2-module_name.patch
Patch1: python-drizzle-0.08.2-setuptools.patch
    
BuildRequires:  libdrizzle-devel, python2-devel, python-setuptools

%description
Drizzle is a transactional SQL92 compliant relational database, geared
towards a plugin based architecture. This package provides Python wrappers 
via the libdrizzle client protocol library.

%prep
%setup -q -n python-libdrizzle-%{version}

%patch0 -p1 -b .module_name
%patch1 -p1 -b .setuptools


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
rm -rf %{buildroot} 

%{__python} setup.py install -O1 \
    --skip-build \
    --root %{buildroot}


%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root,-)
%doc README 
%{python_sitearch}/drizzle/
%{python_sitearch}/python_drizzle-%{version}-py%{pyver}.egg-info/


%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.08.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jul 27 2010 David Malcolm <dmalcolm@redhat.com> - 0.08.2-6
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri May 21 2010 BJ Dierkes <wdierkes@rackspace.com> - 0.08.2-5
- Added Patch1: python-drizzle-0.08.2-setuptools.patch to remove
  ez_setup (and a BR on python-setuptools 0.6c9).

* Mon May 10 2010 BJ Dierkes <wdierkes@rackspace.com> - 0.08.2-4
- Replace %%define with %%global
- BuildRequires: python-setuptools

* Fri May 07 2010 BJ Dierkes <wdierkes@rackspace.com> - 0.08.2-3
- Removed LICENSE file (SOURCE1), submitted tracker upstream to have it
  added: https://bugs.launchpad.net/drizzle-interface/+bug/577045
- Conditionally set python_sitearch only if building on fedora <= 12 
  or rhel <= 5 (newer distros set the macros)
- Fixed License to properly reflect the BSD license of the source
- Remove --single-version-externally-managed from configure

* Sun Apr 11 2010 BJ Dierkes <wdierkes@rackspace.com> - 0.08.2-2
- Remove Requires: libdrizzle (auto detected)

* Fri Apr 02 2010 BJ Dierkes <wdierkes@rackspace.com> - 0.08.2-1
- Initial build 
